# fancywork

Module for working with palette

It can:

1) find palette item (DMC) by code.
Example: final dmc = findDmcByCode('Black');

2) get delta E (CIE76) between two LABs. https://en.wikipedia.org/wiki/Color_difference
Example: final deltaE = getDeltaE(lab1, lab2);

3) find nearest palette item (DMC) by LAB.
Example: final item = findNearestPalette(lab, kDmcValues);

4) get average color for multiple items.
    final rgba = getAvgColor(colors);

5) get LAB of color. https://en.wikipedia.org/wiki/CIELAB_color_space#CIELAB
    final lab = rgbaToLab(rgba);


## Getting Started

For help getting started with Flutter, view our online
[documentation](https://flutter.dev/).

## Testing

flutter test test/entry_point.dart