import 'package:flutter/foundation.dart';

class Hsl {
  Hsl({
    @required this.h,
    @required this.s,
    @required this.l,
  })  : assert(h != null),
        assert(s != null),
        assert(l != null);

  final double h;
  final double s;
  final double l;

  factory Hsl.fromJson(Map<String, dynamic> json) => Hsl(
        h: json['h'],
        s: json['s'],
        l: json['l'],
      );

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    data['h'] = h;
    data['s'] = s;
    data['l'] = l;
    return data;
  }

  @override
  toString() {
    return 'h: $h, s: $s, l: $l';
  }
}
