import 'package:flutter/foundation.dart';

import 'lab.dart';
import 'rgba.dart';

abstract class PaletteType {
  PaletteType({
    @required this.name,
    @required this.code,
    @required this.rgba,
    @required this.lab,
  })  : assert(name != null),
        assert(code != null),
        assert(rgba != null),
        assert(lab != null);

  final String name;
  final String code;
  final Rgba rgba;
  final Lab lab;
}
