import 'package:fancywork/palette.dart';
import 'package:fancywork/src/entities/lab.dart';
import 'package:fancywork/src/entities/rgba.dart';
import 'package:flutter_test/flutter_test.dart';

enititiesTest() {
  group('entities', () {
    test('rgba equals', () {
      Rgba rgba1 = Rgba(r: 10, g: 10, b: 10, a: 10);
      Rgba rgba2 = Rgba(r: 10, g: 10, b: 10, a: 10);

      expect(rgba1, rgba2);
    });

    test('lab equals', () {
      Lab lab1 = Lab(l: 10, a: 10, b: 10);
      Lab lab2 = Lab(l: 10, a: 10, b: 10);

      expect(lab1, lab2);
    });

    test('dmc equals', () {
      Dmc dmc1 = Dmc(
        name: '1',
        code: '1',
        lab: Lab(l: 10, a: 10, b: 10),
        rgba: Rgba(r: 20, g: 20, b: 20, a: 20),
      );

      Dmc dmc2 = Dmc(
        name: '1',
        code: '1',
        lab: Lab(l: 10, a: 10, b: 10),
        rgba: Rgba(r: 20, g: 20, b: 20, a: 20),
      );

      expect(dmc1, dmc2);
    });
  });
}
